import '../../marianumconnect_query.dart';
import 'timetable_get_rooms_response.dart';

class TimetableGetRooms extends MarianumConnectQuery {
  TimetableGetRooms({super.dio});

  Future<TimetableGetRoomsResponse> run() async => TimetableGetRoomsResponse(
    result: await getList('timetable/rooms', McRoom.fromJson),
  );
}
